Bug 112145 - export of editengine color highlight to pdf sometimes results in invisible text
Summary: export of editengine color highlight to pdf sometimes results in invisible text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.3.5.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-31 15:13 UTC by Caolán McNamara
Modified: 2017-09-07 10:27 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
example 1 (30.05 KB, application/vnd.oasis.opendocument.presentation)
2017-08-31 15:14 UTC, Caolán McNamara
Details
example 2 (13.79 KB, application/vnd.oasis.opendocument.presentation)
2017-08-31 15:15 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2017-08-31 15:13:36 UTC
Description:
Export of editengine color highlight to pdf sometimes results in invisible text in output pdf

Actual Results:  
load same documents
export to pdf
missing text

Expected Results:
visible text


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Caolán McNamara 2017-08-31 15:14:25 UTC
Created attachment 135907 [details]
example 1

example 1
Comment 2 Caolán McNamara 2017-08-31 15:15:37 UTC
Created attachment 135908 [details]
example 2

example 2
Comment 3 Commit Notification 2017-09-03 19:22:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf5b61967ef8647db663a1f0d699169b017916a7

Resolves: tdf#112145 pdf export of editengine highlight color fails sometimes

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-09-07 10:27:05 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=63da940c6e31b615269846424a965ba8ce0837a3&h=libreoffice-5-4

Resolves: tdf#112145 pdf export of editengine highlight color fails sometimes

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.